<div class="crmny-mid-wrap mid-spacer-three">
  <div class="container">
    <div class="row">
      <?php
      $date_format = cs_get_option('event_date_format');
      $date_format = $date_format ? $date_format : 'M d Y';
        // Pagination
        $paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
        $args = array(
          // other query params here,
          'paged' => $paged,
          'post_type' => 'tribe_events',
        );
        $ceremony_evnt = new WP_Query( $args );
          if ( have_posts() ) : while ( have_posts() ) : the_post();
            // Category
            global $post;
            $terms = wp_get_post_terms($post->ID,'tribe_events_cat');
            foreach ($terms as $term) {
              $cat_class = 'cat-' . $term->slug;
            }
            $count = count($terms);
            $i=0;
            $cat_class = '';
            if ($count > 0) {
              foreach ($terms as $term) {
                $i++;
                $cat_class .= 'cat-'. $term->slug .' ';
                if ($count != $i) {
                  $cat_class .= '';
                } else {
                  $cat_class .= '';
                }
              }
            }
            // Featured Image
            $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
            $large_image = $large_image[0];
            if ($large_image) {
              if(class_exists('Aq_Resize')) {
                $event_grid_image = aq_resize( $large_image, '370', '302', true );
              } else {
                $event_grid_image = $large_image;
              }
            }
            $event_grid_image = $event_grid_image ? $event_grid_image : CEREMONY_PLUGIN_ASTS . '/images/370x302.jpg';

          $post_meta = get_post_meta( get_the_ID() );
          $s_date = $post_meta['_EventStartDate'];
          $s_createDate = new DateTime($s_date[0]);
          $s_year = $s_createDate->format('Y');
          $s_month = $s_createDate->format('M');
          $s_day = $s_createDate->format('d');
          $s_full_date = tribe_get_start_date( null, false, $date_format );
          $s_hour = $s_createDate->format('H:i a');
          // end date
          $e_date = $post_meta['_EventEndDate'];
          $e_createDate = new DateTime($e_date[0]);
          $e_year = $e_createDate->format('Y');
          $e_month = $e_createDate->format('M');
          $e_day = $e_createDate->format('d');
          $e_full_date = $e_createDate->format('d M Y');
          $e_hour = $e_createDate->format('H:i a');

          $venu_details = tribe_get_venue_details ( get_the_ID() ); ?>
          <div class="col-lg-4 col-md-6">
            <div class="event-item crmny-item">
               <img src="<?php echo esc_url($event_grid_image); ?>" alt="<?php the_title_attribute(); ?>">
              <div class="event-info">
                <ul>
                  <li><i class="fa fa-calendar" aria-hidden="true"></i><?php echo esc_html( $s_full_date ); ?></li>
                  <li><i class="fa fa-clock-o" aria-hidden="true"></i><?php echo esc_html( $s_hour ); ?></li>
                </ul>
                <h3 class="event-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php esc_html(the_title()); ?></a></h3>
                <?php if(!empty($venu_details['address']) || !empty($venu_details['linked_name'])){ ?>
                <p class="grop-ucoming_evnt_location">
                  <?php
                  if(!empty($venu_details['linked_name'])){
                    echo esc_html($venu_details['linked_name']);
                  } else {
                    echo $venu_details['address']; // CeremonyWP
                  } ?>
                </p>
                <?php } ?>
                <div class="crmny-btn-wrap"><a href="<?php esc_url(the_permalink()); ?>" class="crmny-btn crmny-green-border-btn"><?php esc_html_e('Join Now', 'ceremony' ); ?></a></div>
              </div>
            </div>
          </div>
          <?php
        endwhile;
        endif;
        wp_reset_postdata();
      ?>
    </div>
  </div>
</div>
<?php
