<?php
// Metabox
$ceremony_id    = ( isset( $post ) ) ? $post->ID : 0;
$ceremony_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $ceremony_id;
$ceremony_id    = ( ceremony_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $ceremony_id;
$ceremony_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $ceremony_id : false;
$ceremony_meta  = get_post_meta( $ceremony_id, 'page_type_metabox', true );
// Header Style - ThemeOptions & Metabox
$ceremony_header_design_actual  = cs_get_option('select_header_design');
$ceremony_header_address_info      = cs_get_option('header_address_info');
$ceremony_sticky_header  = cs_get_option('sticky_header');
$ceremony_search_icon    = cs_get_option('search_icon');
$ceremony_cart_icon    = cs_get_option('cart_icon');
$need_content  = cs_get_option('need_content');
$ceremony_fixed_nav = cs_get_option('fixed_nav');
if ($ceremony_header_design_actual !== 'style_two') {
  $ceremony_sticky_header_class = $ceremony_sticky_header ? ' crmny-sticky' : '';
} else {
  $ceremony_sticky_header_class = '';
}

$ceremony_mobile_breakpoint = cs_get_option('mobile_breakpoint');
$ceremony_breakpoint = $ceremony_mobile_breakpoint ? $ceremony_mobile_breakpoint : '1199';
?>
<!-- Navigation & Search -->
<nav class="crmny-navigation" data-nav="<?php echo esc_attr($ceremony_breakpoint); ?>">
<?php
  if ($ceremony_meta) {
    $ceremony_choose_menu = $ceremony_meta['choose_menu'];
  } else { $ceremony_choose_menu = ''; }
  $ceremony_choose_menu = $ceremony_choose_menu ? $ceremony_choose_menu : '';
  wp_nav_menu(
    array(
      'menu'              => 'primary',
      'theme_location'    => 'primary',
      'container'         => '',
      'container_class'   => '',
      'container_id'      => '',
      'menu'              => $ceremony_choose_menu,
      'menu_class'        => '',
      'fallback_cb'       => 'ceremony_wp_bootstrap_navwalker::fallback',
      'walker'            => new ceremony_wp_bootstrap_navwalker()
    )
  );
?>

</nav> <!-- Container -->
<?php
