<?php
// Metabox
$ceremony_id    = ( isset( $post ) ) ? $post->ID : 0;
$ceremony_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $ceremony_id;
$ceremony_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $ceremony_id : false;
$ceremony_meta  = get_post_meta( $ceremony_id, 'page_type_metabox', true );

// Header Style - ThemeOptions & Metabox
$side_menu_style    = cs_get_option('side_menu_style');
$side_menu_align    = cs_get_option('side_menu_align');
$choose_menu    = cs_get_option('choose_menu');
$custom_menu    = cs_get_option('custom_menu');
$social = cs_get_option('social_shortcode');
$side_menu_align = $side_menu_align ? $side_menu_align : esc_html('right', 'ceremony');
// Mean Menu Select
$select_mean_menu = cs_get_option('select_mean_menu');
if($select_mean_menu) {
  $mean_class = ' mean-menu-parent';
} else {
  $mean_class = '';
}
$ceremony_mobile_breakpoint = cs_get_option('mobile_breakpoint');
$ceremony_breakpoint = $ceremony_mobile_breakpoint ? $ceremony_mobile_breakpoint : '1199';
?>
<nav class="crmny-side-navigation <?php echo esc_attr($side_menu_align . $mean_class); ?>" data-nav="<?php echo esc_attr($ceremony_breakpoint); ?>">
  <div class="navigation-wrap">
    <div class="close-btn"><a href="javascript:void(0);"></a></div>
    <div class="vertical-scroll">
          <?php if($side_menu_style === 'custom') {
            echo do_shortcode($custom_menu); // CeremonyWP
          } else {
            wp_nav_menu(
              array(
                'menu'              => 'primary',
                'theme_location'    => 'primary',
                'container'         => '',
                'container_class'   => '',
                'container_id'      => '',
                'menu'              => $choose_menu,
                'menu_class'        => 'navigation',
                'fallback_cb'       => 'ceremony_wp_bootstrap_navwalker::fallback',
                'walker'            => new ceremony_wp_bootstrap_navwalker()
              )
            );
          }
          ?>
    </div>
    <div class="navigation-bottom-wrap">
      <?php
      if ($social) { ?>
        <ul class="sidebar-menu-social">
          <?php echo do_shortcode($social); // CeremonyWP ?>
        </ul>
      <?php } ?>
    </div>
  </div>
</nav>
<div class="crmny-navigation-overlay <?php echo esc_attr($side_menu_align); ?>"></div>
<?php
