<?php
// Metabox
global $post;
$ceremony_id    = ( isset( $post ) ) ? $post->ID : false;
$ceremony_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $ceremony_id;
$ceremony_id    = ( ceremony_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $ceremony_id;
$ceremony_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $ceremony_id : false;
$ceremony_meta  = get_post_meta( $ceremony_id, 'page_type_metabox', true );
if($ceremony_meta) {
  $topbar_options = isset($ceremony_meta['topbar_options']) ? $ceremony_meta['topbar_options'] : '';
} else {
  $topbar_options = '';
}
if($ceremony_meta && $topbar_options === 'custom') {
  $ceremony_top_left = $ceremony_meta['top_left'];
  $ceremony_top_right = $ceremony_meta['top_right'];
  $ceremony_topbar_left_width = $ceremony_meta['topbar_left_width'];
  $ceremony_topbar_right_width = $ceremony_meta['topbar_right_width'];
} else {
  $ceremony_top_left = cs_get_option('top_left');
  $ceremony_top_right = cs_get_option('top_right');
  $ceremony_topbar_left_width = cs_get_option('topbar_left_width');
  $ceremony_topbar_right_width = cs_get_option('topbar_right_width');
}
$ceremony_top_left = $ceremony_top_left ? $ceremony_top_left : cs_get_option('top_left');
$ceremony_top_right = $ceremony_top_right ? $ceremony_top_right : cs_get_option('top_right');
$ceremony_topbar_left_width = $ceremony_topbar_left_width ? $ceremony_topbar_left_width : cs_get_option('topbar_left_width');
$ceremony_topbar_right_width = $ceremony_topbar_right_width ? $ceremony_topbar_right_width : cs_get_option('topbar_right_width');

$ceremony_hide_topbar_check = cs_get_option('top_bar');
$top_bar_in_responsive = cs_get_option('top_bar_in_responsive');
if ($ceremony_hide_topbar_check === true ) {
  $ceremony_hide_topbar = 'hide';
} else {
  $ceremony_hide_topbar = 'show';
}

if($top_bar_in_responsive) {
  $top_bar_in_responsive_class = ' hide-topbar-responsive';
} else {
  $top_bar_in_responsive_class = '';
}

$ceremony_left_width   = $ceremony_topbar_left_width ? 'width:'. $ceremony_topbar_left_width .';' : '';
$ceremony_right_width  = $ceremony_topbar_right_width ? 'width:'. $ceremony_topbar_right_width .';' : '';

if($ceremony_hide_topbar === 'show') {
  if($ceremony_top_left || $ceremony_top_right ) {
    if($topbar_options != 'hide_topbar') { ?>
      <!-- Crmny Topbar -->
      <div class="crmny-topbar <?php echo esc_attr($top_bar_in_responsive_class); ?>">
        <div class="container">
          <div class="row align-items-center">
            <div class="col-lg-6 top-left" style="<?php echo esc_attr($ceremony_left_width); ?>">
              <?php echo do_shortcode($ceremony_top_left); // CeremonyWP ?>
            </div>
            <div class="col-lg-6 top-right textright" style="<?php echo esc_attr($ceremony_right_width); ?>">
              <?php echo do_shortcode($ceremony_top_right); // CeremonyWP ?>
            </div>
          </div>
        </div>
      </div>
    <?php }
  }
} // Hide Topbar - From Metabox
