<?php
/*
 * The sidebar containing the main widget area.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

$ceremony_blog_widget = cs_get_option('blog_widget');
$ceremony_single_blog_widget = cs_get_option('single_blog_widget');
$ceremony_single_friends_widget = cs_get_option('friends_single_widget');

if (is_page()) {
	// Page Layout Options
	$ceremony_page_layout = get_post_meta( get_the_ID(), 'page_type_metabox', true );	
}
?>
<div class="crmny-secondary">
	<?php if (is_page() && $ceremony_page_layout['page_sidebar_widget']) {
		if (is_active_sidebar($ceremony_page_layout['page_sidebar_widget'])) {
			dynamic_sidebar($ceremony_page_layout['page_sidebar_widget']);
		}
	} elseif (!is_page() && $ceremony_blog_widget && !is_single()) {
		if (is_active_sidebar($ceremony_blog_widget)) {
			dynamic_sidebar($ceremony_blog_widget);
		}
	} elseif (is_singular('friends') && $ceremony_single_friends_widget) {
		if (is_active_sidebar($ceremony_single_friends_widget)) {
			dynamic_sidebar($ceremony_single_friends_widget);
		}
	} elseif (is_singular('post') && $ceremony_single_blog_widget) {
		if (is_active_sidebar($ceremony_single_blog_widget)) {
			dynamic_sidebar($ceremony_single_blog_widget);
		}
	} else {
		if (is_active_sidebar('sidebar-1')) {
			dynamic_sidebar( 'sidebar-1' );
		}
	} ?>
</div><!-- #secondary -->
<?php
