<?php
	// Main Text
	$ceremony_id    = ( isset( $post ) ) ? $post->ID : 0;
	$ceremony_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $ceremony_id;
	$ceremony_id    = ( ceremony_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $ceremony_id;
	$ceremony_meta  = get_post_meta( $ceremony_id, 'page_type_metabox', true );

	$ceremony_footer_copyright_layout = cs_get_option('footer_copyright_layout');
	if ($ceremony_footer_copyright_layout === 'copyright-1') {
		$ceremony_copyright_layout_class = 'col-xl-6 col-lg-5 pull-left';
		$ceremony_copyright_seclayout_class = 'col-xl-6 col-lg-7 pull-right';
	} elseif ($ceremony_footer_copyright_layout === 'copyright-2') {
		$ceremony_copyright_layout_class = 'col-xl-6 col-lg-5 pull-right text-right';
		$ceremony_copyright_seclayout_class = 'col-xl-6 col-lg-7 pull-left';
	} elseif ($ceremony_footer_copyright_layout === 'copyright-3') {
		$ceremony_copyright_layout_class = 'col-md-12 text-center';
	} else {
		$ceremony_copyright_layout_class = '';
		$ceremony_copyright_seclayout_class = '';
	}
?>
<!-- Copyright Bar -->
<div class="crmny-copyright">
  <div class="container">
	  <div class="row">
	    <div class="<?php echo esc_attr($ceremony_copyright_layout_class); ?>">
	      <div class="copyright-wrap">
	      	<?php
	      		$ceremony_copyright_text = cs_get_option('copyright_text');
						if($ceremony_copyright_text){
							echo do_shortcode($ceremony_copyright_text); // CeremonyWP
						} else { ?>
							&copy; <?php echo esc_html(date('Y')); ?><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php esc_html_e(' VictorThemes', 'ceremony') ?></a>
						<?php }
					 ?>
	      </div>
	    </div>
	    <?php if ($ceremony_footer_copyright_layout != 'copyright-3') { ?>
	    <div class="<?php echo esc_attr($ceremony_copyright_seclayout_class); ?>">
	      <?php
					$ceremony_secondary_text = cs_get_option('secondary_text');
					echo do_shortcode($ceremony_secondary_text); // CeremonyWP
				?>
	    </div>
	    <?php } ?>
	  </div>
  </div>
</div>
<!-- Copyright Bar -->
<?php
