<?php
// Logo Image
$ceremony_brand_logo_default = cs_get_option('brand_logo_default');
// Transparent Header Logos
$ceremony_transparent_logo = cs_get_option('transparent_logo_default');
// Metabox - Header Transparent
$ceremony_id    = ( isset( $post ) ) ? $post->ID : 0;
$ceremony_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $ceremony_id;
$ceremony_id    = ( ceremony_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $ceremony_id;
$ceremony_meta  = get_post_meta( $ceremony_id, 'page_type_metabox'. true );
// Logo Size
$ceremony_logo_width = cs_get_option('logo_width');
$ceremony_logo_height = cs_get_option('logo_height');

$logo_width_actrual = $ceremony_logo_width ? 'width='. esc_attr($ceremony_logo_width) : '';
$logo_height_actrual = $ceremony_logo_height ? 'height='. esc_attr($ceremony_logo_height) : '';
// Logo Spacings
$ceremony_brand_logo_top = cs_get_option('brand_logo_top');
$ceremony_brand_logo_bottom = cs_get_option('brand_logo_bottom');
if ($ceremony_brand_logo_top !== '') {
	$ceremony_brand_logo_top = $ceremony_brand_logo_top ? 'padding-top:'. ceremony_check_px($ceremony_brand_logo_top) .';' : '';
} else { $ceremony_brand_logo_top = ''; }
if ($ceremony_brand_logo_bottom !== '') {
	$ceremony_brand_logo_bottom = $ceremony_brand_logo_bottom ? 'padding-bottom:'. ceremony_check_px($ceremony_brand_logo_bottom) .';' : '';
} else { $ceremony_brand_logo_bottom = ''; }

$ceremony_brand_logo_top = $ceremony_brand_logo_top ? $ceremony_brand_logo_top : '';
$ceremony_brand_logo_bottom = $ceremony_brand_logo_bottom ? $ceremony_brand_logo_bottom : '';
$transparent_logo_class = $ceremony_transparent_logo ? ' hav-transparent-logo' : ' dhav-transparent-logo';
$ceremony_logo_default_cls = $ceremony_brand_logo_default ? ' hav-default-logo' : ' dhav-default-logo';
?>
<div class="crmny-brand <?php echo esc_attr($transparent_logo_class . $ceremony_logo_default_cls); ?>" style="<?php echo esc_attr($ceremony_brand_logo_top); echo esc_attr($ceremony_brand_logo_bottom); ?>">
	<a href="<?php echo esc_url(home_url( '/' )); ?>">
	<?php

		if (isset($ceremony_transparent_logo)) {
			echo '<img src="'. esc_url(wp_get_attachment_url($ceremony_transparent_logo)) .'" alt="'. esc_attr(get_bloginfo( 'name' )) . '" class="transparent-default-logo transparent-logo" '. esc_attr($logo_width_actrual) .' '. esc_attr($logo_height_actrual) .'>';
		}
		if (isset($ceremony_brand_logo_default)) {
			echo '<img src="'. esc_url(wp_get_attachment_url($ceremony_brand_logo_default)) .'" alt="'. esc_attr(get_bloginfo( 'name' )) . '" class="default-logo normal-logo" '. esc_attr($logo_width_actrual) .' '. esc_attr($logo_height_actrual) .'>';
		} else {
			echo '<div class="text-logo">'. esc_html(get_bloginfo( 'name' )) . '</div>';
		}
	echo '</a>';
	?>
</div>
<?php
